Bug 181393 - ftp io does not open a file to edit because of permissions
Summary: ftp io does not open a file to edit because of permissions
Status: RESOLVED FIXED
Alias: None
Product: kio
Classification: Frameworks and Libraries
Component: ftp (show other bugs)
Version: 4.1
Platform: Mandriva RPMs Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: David Faure
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-01-20 14:13 UTC by Raul Kde Bugzilla
Modified: 2011-03-25 17:28 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: 4.6.2


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Raul Kde Bugzilla 2009-01-20 14:13:36 UTC
Version:            (using KDE 4.1.3)
OS:                Linux
Installed from:    Mandriva RPMs

When editing a remote file with kwrite, after the file is downloaded, kwrite refuses to open it because of the lack of permissions.

This happens when using either Dolphin or Konqueror.

The same procedure works fine with ssh (fish://).

The file in the temp dir has 0600 permissions.

If I open the temp file directly, it works.
Comment 1 Dawit Alemayehu 2011-03-25 17:25:54 UTC
Git commit a1597d87a46e951fd62b632f250ee7ef223b51e4 by Dawit Alemayehu.
Committed on 24/03/2011 at 23:19.
Pushed by adawit into branch 'KDE/4.6'.

Emit the finished signals after calling ftpCloseCommand.

This fixes the problem where clicking on a file while browsing an FTP site does
not show its content. Instead only the associated application is launched and
either an error message, in case of kate, and/or a notification about the completion
of file copying is shown.

BUG:203445
BUG:181393
REVIEW:100941
FIXED-IN:4.6.2

M  +10   -8    kioslave/ftp/ftp.cpp     

http://commits.kde.org/kdelibs/a1597d87a46e951fd62b632f250ee7ef223b51e4
Comment 2 Dawit Alemayehu 2011-03-25 17:28:23 UTC
Git commit 7f7af640fbb5c36a3a79de66be8bdb0222509a67 by Dawit Alemayehu.
Committed on 25/03/2011 at 17:29.
Pushed by adawit into branch 'master'.

Emit the finished signals after calling ftpCloseCommand.

This fixes the problem where clicking on a file while browsing an FTP site does
not show its content. Instead only the associated application is launched and
either an error message, in case of kate, and/or a notification about the completion
of file copying is shown.

CCBUG:203445
CCBUG:181393
FIXED-IN:4.6.2

  (cherry picked from commit a1597d87a46e951fd62b632f250ee7ef223b51e4)

M  +10   -8    kioslave/ftp/ftp.cpp     

http://commits.kde.org/kdelibs/7f7af640fbb5c36a3a79de66be8bdb0222509a67